#!/bin/sh

if [ $# -lt 1 ]
then
	echo "Usage: eps2img.sh <eps files...>"
	exit 1
fi

outFormat="png"
outSize=512
converter="/home/olawlor/dev/osl/bin/ps"

while [ $# -gt 0 ]
do
	eps=$1
	shift
	out=`echo $eps | sed -e "s/\.eps/\.$outFormat/"`
	if [ ! -r $eps ]
	then
		echo "Can't find file" $eps
		exit 1
	fi
	bbox=`head $eps | grep "BoundingBox:" | awk -F: '{print $2}' `
	if [ $? -ne 0 ] 
	then
		echo "Can't find BoundingBox for $eps file"
		exit 1
	fi
	args=`echo $bbox $outSize | awk '{
		left=$1; bottom=$2; right=$3; top=$4; size=$5
		wid=right-left; ht=top-bottom;
		bigside=wid;
		if (ht>wid) bigside=ht;
		inset=0.5
		tin=2*inset
		res=72.0*(size+0.001)/(bigside+tin);
		print res,(wid+tin),(ht+tin),(left-inset),(bottom-inset) 
	}'`
	echo "---- Converting file" $eps "to" $out
	echo "$converter $eps $out $args"
	$converter $eps $out $args || exit 1
done
echo "eps2img done"
